org.eclipse.gef4.zest.core.widgets

## Class DefaultSubgraph.LabelSubgraphFactory

- java.lang.Object
- - org.eclipse.gef4.zest.core.widgets.DefaultSubgraph.LabelSubgraphFactory

All Implemented Interfaces:
  SubgraphFactory

Enclosing class:
  DefaultSubgraph

    public static class DefaultSubgraph.LabelSubgraphFactory
    extends java.lang.Object
    implements SubgraphFactory

### Constructor Summary

Constructors
Constructor and Description
`DefaultSubgraph.LabelSubgraphFactory()`

### Method Summary

Methods
`org.eclipse.gef4.layout.interfaces.SubgraphLayout` `createSubgraph(org.eclipse.gef4.layout.interfaces.NodeLayout[] nodes, org.eclipse.gef4.layout.interfaces.LayoutContext context)`
`void` `setDefaultBackgroundColor(Color c)` Changes the default background color for newly created subgraphs.
`void` `setDefualtForegroundColor(Color c)` Changes the default foreground color for newly created subgraphs.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultSubgraph.LabelSubgraphFactory

    public DefaultSubgraph.LabelSubgraphFactory()

### Method Detail

#### setDefualtForegroundColor

    public void setDefualtForegroundColor(Color c)

Changes the default foreground color for newly created subgraphs.

Parameters:
  `c` - color to use

#### setDefaultBackgroundColor

    public void setDefaultBackgroundColor(Color c)

Changes the default background color for newly created subgraphs.

Parameters:
  `c` - color to use

#### createSubgraph

    public org.eclipse.gef4.layout.interfaces.SubgraphLayout createSubgraph(org.eclipse.gef4.layout.interfaces.NodeLayout[] nodes,
                                                                   org.eclipse.gef4.layout.interfaces.LayoutContext context)

Specified by:
  `createSubgraph` in interface `SubgraphFactory`